raidstart(8)

NAME
raidstart, raidstop, - command set to manage md devices.

SYNOPSIS

raidstart [options] <raiddevice>*

raidstop [options] <raiddevice>

DESCRIPTION
RAID devices are virtual devices created from two or more real block devices. This allows multiple disks to be combined into a single filesystem, possibly with automated backup and recovery. Linux RAID devices are implemented through the md device driver.

If you're using the /proc filesystem, /proc/mdstat gives you informations about md devices status.

Currently, Linux supports linear md devices, RAID0 (striping), RAID1 (mirrroring), and RAID4 and RAID5. For information on the various levels of RAID, check out:

     http://ostenfeld.dk/~jakob/Software-RAID.HOWTO/

And for instruction for upgrading from a regular system to software raid:

     http://www.tldp.org/HOWTO/Boot+Root+Raid+LILO.html

For new releases of the RAID driver check out:

     ftp://ftp.fi.kernel.org/pub/linux/daemons/raid/alpha

Avaible commands are :

mkraid : configures (creates) md (RAID) devices in the kernel, banding multiple devices into one.

raidstart : activates (starts) an existing 'persistent' md device

raid0run : activates old nonpersistent RAID0/LINEAR md devices

raidstop : turns off an md device, and unconfigures (stops) it

By default, a systems RAID configuration is kept in /etc/raidtab, which can configure multiple RAID devices.

All of these tools work similiarly. If -a (or --all) is specified, the specified operation is performed on all of the RAID devices mentioned in the configuration file. Otherwise, one or more RAID devices must be specified on the command line. For example:

raid0run -a

Starts all of the 'old' RAID0 RAID devices specified in /etc/raidtab. If only /dev/md1 should be started, the following command should be used instead:

raidstart /dev/md1

OPTIONS

-a, --all
    Apply the command to all of the configurations specified in the config file.

-c, --configfile filename
    Use filename as the configuration file (/etc/raidtab is used by default).

-h, --help
    Displays a short usage message, then exits.

-V, --version
    Displays a short version message, then exits.

NOTES

The raidtools are derived from the md-tools and raidtools packages, which were originally written by Marc Zyngier, Miguel de Icaza, Gadi Oxman, Bradley Ward Allen, and Ingo Molnar.

BUGS
no known bugs.

SEE ALSO
raidtab(5), raid0run(8), raidstop(8), mkraid(8)